package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * high_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighOrder implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 订单流水号
     */
    private String orderNo;

    /**
     * 用户的优惠券high_discount_user_rel表的id
     */
    private Long memDiscountId;

    /**
     * 用户的优惠券名称
     */
    private String memDiscountName;

    /**
     * 用户表ID
     */
    private Long memId;

    /**
     * 用户名称
     */
    private String memName;

    /**
     * 用户电话
     */
    private String memPhone;

    /**
     * 用户和卡号关系id
     */
    private Long memCardId;

    /**
     * 卡类型
     */
    private Integer memCardType;

    /**
     * 卡号
     */
    private String memCardNo;

    /**
     * 支付模式：1 金币，2 第三方平台，3 混合
     */
    private Integer payModel;

    /**
     * 支付方式： 1：支付宝  2：微信  3：金币  4：汇联通工会卡  5：银联   6：银联分期
     */
    private Integer payType;

    /**
     * 应付金额
     */
    private BigDecimal payablePrice;

    /**
     * 支付金币
     */
    private Integer payGold;

    /**
     * 支付金额
     */
    private BigDecimal payPrice;

    /**
     * 实付金额
     */
    private BigDecimal payRealPrice;

    /**
     * 支付流水号
     */
    private String paySerialNo;

    /**
     * 抵扣金额
     */
    private BigDecimal deductionPrice;

    /**
     * 订单状态：1 待支付  2 已支付  3.已完成  4. 已退款  5.已取消   6.退款中   7.拒绝退款 
     */
    private Integer orderStatus;

    /**
     * 订单总金额
     */
    private BigDecimal totalPrice;

    /**
     * 生成时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 取消原因
     */
    private String cancelRemarks;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 退款订单号
     */
    private String refundNo;

    /**
     * 退款时间【退款成功时间】
     */
    private Date refundTime;

    /**
     * 退款金额
     */
    private BigDecimal refundPrice;

    /**
     * 退款原因
     */
    private String refundContent;

    /**
     * 拒绝退款原因
     */
    private String refusalRefundContent;

    /**
     * 渠道商标识码
     */
    private Long identificationCode;

    /**
     * 是否分账
     */
    private Boolean profitSharingStatus;

    /**
     * 分账比例
     */
    private BigDecimal profitSharingRatio;

    /**
     * 进账商户号
     */
    private String accountMerchantNum;

    /**
     * 产品类型 1：星巴克 2：肯德基 3：会员充值
     */
    private Integer productType;

    /**
     * 打印状态
     */
    private Boolean printStatus;

    /**
     * 打印次数
     */
    private Integer printNum;

    /**
     * 是否查看
     */
    private Boolean whetherCheck;

    /**
     * 是否返利
     */
    private Boolean whetherRebate;

    /**
     * 区域编码
     */
    private String regionId;

    private Long companyId;

    /**
     * 商户号
     */
    private String merchId;

    private String ext1;

    private String ext2;

    private String ext3;


    private String payPwd;

    private List<HighChildOrder> highChildOrderList;

    private HighDiscount highDiscount;

    private Boolean isTyAgent;

    private String gasStaffCode;

    private String password;

    private String time;

    private String goodsTypeName;

    private String agentName;

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getGoodsTypeName() {
        return goodsTypeName;
    }

    public void setGoodsTypeName(String goodsTypeName) {
        this.goodsTypeName = goodsTypeName;
    }

    /**
     * 是否自动充值积分 0 否  1 是
     */
    private Boolean buyPoints;




    public String getPayPwd() {
        return payPwd;
    }

    public void setPayPwd(String payPwd) {
        this.payPwd = payPwd;
    }

    public List<HighChildOrder> getHighChildOrderList() {
        return highChildOrderList;
    }

    public void setHighChildOrderList(List<HighChildOrder> highChildOrderList) {
        this.highChildOrderList = highChildOrderList;
    }

    public HighDiscount getHighDiscount() {
        return highDiscount;
    }

    public void setHighDiscount(HighDiscount highDiscount) {
        this.highDiscount = highDiscount;
    }

    public Boolean getIsTyAgent() {
        return isTyAgent;
    }

    public void setIsTyAgent(Boolean tyAgent) {
        isTyAgent = tyAgent;
    }

    public String getGasStaffCode() {
        return gasStaffCode;
    }

    public void setGasStaffCode(String gasStaffCode) {
        this.gasStaffCode = gasStaffCode;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Boolean getBuyPoints() {
        return buyPoints;
    }

    public void setBuyPoints(Boolean buyPoints) {
        this.buyPoints = buyPoints;
    }

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getMemDiscountId() {
        return memDiscountId;
    }

    public void setMemDiscountId(Long memDiscountId) {
        this.memDiscountId = memDiscountId;
    }

    public String getMemDiscountName() {
        return memDiscountName;
    }

    public void setMemDiscountName(String memDiscountName) {
        this.memDiscountName = memDiscountName;
    }

    public Long getMemId() {
        return memId;
    }

    public void setMemId(Long memId) {
        this.memId = memId;
    }

    public String getMemName() {
        return memName;
    }

    public void setMemName(String memName) {
        this.memName = memName;
    }

    public String getMemPhone() {
        return memPhone;
    }

    public void setMemPhone(String memPhone) {
        this.memPhone = memPhone;
    }

    public Long getMemCardId() {
        return memCardId;
    }

    public void setMemCardId(Long memCardId) {
        this.memCardId = memCardId;
    }

    public Integer getMemCardType() {
        return memCardType;
    }

    public void setMemCardType(Integer memCardType) {
        this.memCardType = memCardType;
    }

    public String getMemCardNo() {
        return memCardNo;
    }

    public void setMemCardNo(String memCardNo) {
        this.memCardNo = memCardNo;
    }

    public Integer getPayModel() {
        return payModel;
    }

    public void setPayModel(Integer payModel) {
        this.payModel = payModel;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public BigDecimal getPayablePrice() {
        return payablePrice;
    }

    public void setPayablePrice(BigDecimal payablePrice) {
        this.payablePrice = payablePrice;
    }

    public Integer getPayGold() {
        return payGold;
    }

    public void setPayGold(Integer payGold) {
        this.payGold = payGold;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getPaySerialNo() {
        return paySerialNo;
    }

    public void setPaySerialNo(String paySerialNo) {
        this.paySerialNo = paySerialNo;
    }

    public BigDecimal getDeductionPrice() {
        return deductionPrice;
    }

    public void setDeductionPrice(BigDecimal deductionPrice) {
        this.deductionPrice = deductionPrice;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelRemarks() {
        return cancelRemarks;
    }

    public void setCancelRemarks(String cancelRemarks) {
        this.cancelRemarks = cancelRemarks;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public BigDecimal getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(BigDecimal refundPrice) {
        this.refundPrice = refundPrice;
    }

    public String getRefundContent() {
        return refundContent;
    }

    public void setRefundContent(String refundContent) {
        this.refundContent = refundContent;
    }

    public String getRefusalRefundContent() {
        return refusalRefundContent;
    }

    public void setRefusalRefundContent(String refusalRefundContent) {
        this.refusalRefundContent = refusalRefundContent;
    }

    public Long getIdentificationCode() {
        return identificationCode;
    }

    public void setIdentificationCode(Long identificationCode) {
        this.identificationCode = identificationCode;
    }

    public Boolean getProfitSharingStatus() {
        return profitSharingStatus;
    }

    public void setProfitSharingStatus(Boolean profitSharingStatus) {
        this.profitSharingStatus = profitSharingStatus;
    }

    public BigDecimal getProfitSharingRatio() {
        return profitSharingRatio;
    }

    public void setProfitSharingRatio(BigDecimal profitSharingRatio) {
        this.profitSharingRatio = profitSharingRatio;
    }

    public String getAccountMerchantNum() {
        return accountMerchantNum;
    }

    public void setAccountMerchantNum(String accountMerchantNum) {
        this.accountMerchantNum = accountMerchantNum;
    }

    public Integer getProductType() {
        return productType;
    }

    public void setProductType(Integer productType) {
        this.productType = productType;
    }

    public Boolean getPrintStatus() {
        return printStatus;
    }

    public void setPrintStatus(Boolean printStatus) {
        this.printStatus = printStatus;
    }

    public Integer getPrintNum() {
        return printNum;
    }

    public void setPrintNum(Integer printNum) {
        this.printNum = printNum;
    }

    public Boolean getWhetherCheck() {
        return whetherCheck;
    }

    public void setWhetherCheck(Boolean whetherCheck) {
        this.whetherCheck = whetherCheck;
    }

    public Boolean getWhetherRebate() {
        return whetherRebate;
    }

    public void setWhetherRebate(Boolean whetherRebate) {
        this.whetherRebate = whetherRebate;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getMerchId() {
        return merchId;
    }

    public void setMerchId(String merchId) {
        this.merchId = merchId;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighOrder other = (HighOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getMemDiscountId() == null ? other.getMemDiscountId() == null : this.getMemDiscountId().equals(other.getMemDiscountId()))
            && (this.getMemDiscountName() == null ? other.getMemDiscountName() == null : this.getMemDiscountName().equals(other.getMemDiscountName()))
            && (this.getMemId() == null ? other.getMemId() == null : this.getMemId().equals(other.getMemId()))
            && (this.getMemName() == null ? other.getMemName() == null : this.getMemName().equals(other.getMemName()))
            && (this.getMemPhone() == null ? other.getMemPhone() == null : this.getMemPhone().equals(other.getMemPhone()))
            && (this.getMemCardId() == null ? other.getMemCardId() == null : this.getMemCardId().equals(other.getMemCardId()))
            && (this.getMemCardType() == null ? other.getMemCardType() == null : this.getMemCardType().equals(other.getMemCardType()))
            && (this.getMemCardNo() == null ? other.getMemCardNo() == null : this.getMemCardNo().equals(other.getMemCardNo()))
            && (this.getPayModel() == null ? other.getPayModel() == null : this.getPayModel().equals(other.getPayModel()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getPayablePrice() == null ? other.getPayablePrice() == null : this.getPayablePrice().equals(other.getPayablePrice()))
            && (this.getPayGold() == null ? other.getPayGold() == null : this.getPayGold().equals(other.getPayGold()))
            && (this.getPayPrice() == null ? other.getPayPrice() == null : this.getPayPrice().equals(other.getPayPrice()))
            && (this.getPayRealPrice() == null ? other.getPayRealPrice() == null : this.getPayRealPrice().equals(other.getPayRealPrice()))
            && (this.getPaySerialNo() == null ? other.getPaySerialNo() == null : this.getPaySerialNo().equals(other.getPaySerialNo()))
            && (this.getDeductionPrice() == null ? other.getDeductionPrice() == null : this.getDeductionPrice().equals(other.getDeductionPrice()))
            && (this.getOrderStatus() == null ? other.getOrderStatus() == null : this.getOrderStatus().equals(other.getOrderStatus()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getCancelTime() == null ? other.getCancelTime() == null : this.getCancelTime().equals(other.getCancelTime()))
            && (this.getCancelRemarks() == null ? other.getCancelRemarks() == null : this.getCancelRemarks().equals(other.getCancelRemarks()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getRemarks() == null ? other.getRemarks() == null : this.getRemarks().equals(other.getRemarks()))
            && (this.getRefundNo() == null ? other.getRefundNo() == null : this.getRefundNo().equals(other.getRefundNo()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()))
            && (this.getRefundPrice() == null ? other.getRefundPrice() == null : this.getRefundPrice().equals(other.getRefundPrice()))
            && (this.getRefundContent() == null ? other.getRefundContent() == null : this.getRefundContent().equals(other.getRefundContent()))
            && (this.getRefusalRefundContent() == null ? other.getRefusalRefundContent() == null : this.getRefusalRefundContent().equals(other.getRefusalRefundContent()))
            && (this.getIdentificationCode() == null ? other.getIdentificationCode() == null : this.getIdentificationCode().equals(other.getIdentificationCode()))
            && (this.getProfitSharingStatus() == null ? other.getProfitSharingStatus() == null : this.getProfitSharingStatus().equals(other.getProfitSharingStatus()))
            && (this.getProfitSharingRatio() == null ? other.getProfitSharingRatio() == null : this.getProfitSharingRatio().equals(other.getProfitSharingRatio()))
            && (this.getAccountMerchantNum() == null ? other.getAccountMerchantNum() == null : this.getAccountMerchantNum().equals(other.getAccountMerchantNum()))
            && (this.getProductType() == null ? other.getProductType() == null : this.getProductType().equals(other.getProductType()))
            && (this.getPrintStatus() == null ? other.getPrintStatus() == null : this.getPrintStatus().equals(other.getPrintStatus()))
            && (this.getPrintNum() == null ? other.getPrintNum() == null : this.getPrintNum().equals(other.getPrintNum()))
            && (this.getWhetherCheck() == null ? other.getWhetherCheck() == null : this.getWhetherCheck().equals(other.getWhetherCheck()))
            && (this.getWhetherRebate() == null ? other.getWhetherRebate() == null : this.getWhetherRebate().equals(other.getWhetherRebate()))
            && (this.getRegionId() == null ? other.getRegionId() == null : this.getRegionId().equals(other.getRegionId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getMerchId() == null ? other.getMerchId() == null : this.getMerchId().equals(other.getMerchId()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getMemDiscountId() == null) ? 0 : getMemDiscountId().hashCode());
        result = prime * result + ((getMemDiscountName() == null) ? 0 : getMemDiscountName().hashCode());
        result = prime * result + ((getMemId() == null) ? 0 : getMemId().hashCode());
        result = prime * result + ((getMemName() == null) ? 0 : getMemName().hashCode());
        result = prime * result + ((getMemPhone() == null) ? 0 : getMemPhone().hashCode());
        result = prime * result + ((getMemCardId() == null) ? 0 : getMemCardId().hashCode());
        result = prime * result + ((getMemCardType() == null) ? 0 : getMemCardType().hashCode());
        result = prime * result + ((getMemCardNo() == null) ? 0 : getMemCardNo().hashCode());
        result = prime * result + ((getPayModel() == null) ? 0 : getPayModel().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getPayablePrice() == null) ? 0 : getPayablePrice().hashCode());
        result = prime * result + ((getPayGold() == null) ? 0 : getPayGold().hashCode());
        result = prime * result + ((getPayPrice() == null) ? 0 : getPayPrice().hashCode());
        result = prime * result + ((getPayRealPrice() == null) ? 0 : getPayRealPrice().hashCode());
        result = prime * result + ((getPaySerialNo() == null) ? 0 : getPaySerialNo().hashCode());
        result = prime * result + ((getDeductionPrice() == null) ? 0 : getDeductionPrice().hashCode());
        result = prime * result + ((getOrderStatus() == null) ? 0 : getOrderStatus().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getCancelTime() == null) ? 0 : getCancelTime().hashCode());
        result = prime * result + ((getCancelRemarks() == null) ? 0 : getCancelRemarks().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getRemarks() == null) ? 0 : getRemarks().hashCode());
        result = prime * result + ((getRefundNo() == null) ? 0 : getRefundNo().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        result = prime * result + ((getRefundPrice() == null) ? 0 : getRefundPrice().hashCode());
        result = prime * result + ((getRefundContent() == null) ? 0 : getRefundContent().hashCode());
        result = prime * result + ((getRefusalRefundContent() == null) ? 0 : getRefusalRefundContent().hashCode());
        result = prime * result + ((getIdentificationCode() == null) ? 0 : getIdentificationCode().hashCode());
        result = prime * result + ((getProfitSharingStatus() == null) ? 0 : getProfitSharingStatus().hashCode());
        result = prime * result + ((getProfitSharingRatio() == null) ? 0 : getProfitSharingRatio().hashCode());
        result = prime * result + ((getAccountMerchantNum() == null) ? 0 : getAccountMerchantNum().hashCode());
        result = prime * result + ((getProductType() == null) ? 0 : getProductType().hashCode());
        result = prime * result + ((getPrintStatus() == null) ? 0 : getPrintStatus().hashCode());
        result = prime * result + ((getPrintNum() == null) ? 0 : getPrintNum().hashCode());
        result = prime * result + ((getWhetherCheck() == null) ? 0 : getWhetherCheck().hashCode());
        result = prime * result + ((getWhetherRebate() == null) ? 0 : getWhetherRebate().hashCode());
        result = prime * result + ((getRegionId() == null) ? 0 : getRegionId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getMerchId() == null) ? 0 : getMerchId().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", memDiscountId=").append(memDiscountId);
        sb.append(", memDiscountName=").append(memDiscountName);
        sb.append(", memId=").append(memId);
        sb.append(", memName=").append(memName);
        sb.append(", memPhone=").append(memPhone);
        sb.append(", memCardId=").append(memCardId);
        sb.append(", memCardType=").append(memCardType);
        sb.append(", memCardNo=").append(memCardNo);
        sb.append(", payModel=").append(payModel);
        sb.append(", payType=").append(payType);
        sb.append(", payablePrice=").append(payablePrice);
        sb.append(", payGold=").append(payGold);
        sb.append(", payPrice=").append(payPrice);
        sb.append(", payRealPrice=").append(payRealPrice);
        sb.append(", paySerialNo=").append(paySerialNo);
        sb.append(", deductionPrice=").append(deductionPrice);
        sb.append(", orderStatus=").append(orderStatus);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", createTime=").append(createTime);
        sb.append(", payTime=").append(payTime);
        sb.append(", cancelTime=").append(cancelTime);
        sb.append(", cancelRemarks=").append(cancelRemarks);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", remarks=").append(remarks);
        sb.append(", refundNo=").append(refundNo);
        sb.append(", refundTime=").append(refundTime);
        sb.append(", refundPrice=").append(refundPrice);
        sb.append(", refundContent=").append(refundContent);
        sb.append(", refusalRefundContent=").append(refusalRefundContent);
        sb.append(", identificationCode=").append(identificationCode);
        sb.append(", profitSharingStatus=").append(profitSharingStatus);
        sb.append(", profitSharingRatio=").append(profitSharingRatio);
        sb.append(", accountMerchantNum=").append(accountMerchantNum);
        sb.append(", productType=").append(productType);
        sb.append(", printStatus=").append(printStatus);
        sb.append(", printNum=").append(printNum);
        sb.append(", whetherCheck=").append(whetherCheck);
        sb.append(", whetherRebate=").append(whetherRebate);
        sb.append(", regionId=").append(regionId);
        sb.append(", companyId=").append(companyId);
        sb.append(", merchId=").append(merchId);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
